Skip to main content
GET
Get events

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://voyager.online/plans

Query Parameters

p
integer
default:1

Page number. Defaults to 1.

ps
integer
default:25

Number of items per page. Available options: 10, 25, 50, 100.

contract
string

Filter by contract address. Mutually exclusive with blockHash and txnHash — providing both returns 400.

Pattern: ^(0x[0-9a-fA-F]{1,66})$
txnHash
string

Filter by transaction hash. Mutually exclusive with contract — providing both returns 400.

Pattern: ^(0x[0-9a-fA-F]{1,66})$
blockHash
string

Filter by block hash. Mutually exclusive with contract — providing both returns 400.

Pattern: ^(0x[0-9a-fA-F]+|pre_confirmed)$

Response

Successfully retrieved events

items
object[]
required
lastPage
number
required